Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.kernel
Class Utils

    java.lang.Object
      madkit.kernel.Utils

    public class Utils

extends java.lang.Object

Field Summary
`static int` | `BUFFER_SIZE`

Constructor Summary
`Utils()`

Method Summary
`static void` | `copyToWriter(java.io.Reader from, java.io.Writer to)` Copies a reader to a writer.
`static void` | `debug(java.lang.Object s)`
`static void` | `debug(java.lang.Object o, java.lang.Object s)`
`static java.lang.String` | `getExtension(java.io.File f)`
`static java.lang.String` | `getFileNameFromPath(java.lang.String s)`
`static java.lang.String` | `getFileNameWithoutExtensionFromPath(java.lang.String s)`
`static java.awt.Container` | `getFrameParent(java.awt.Container _c)`
`static java.lang.String` | `getLastPortion(java.lang.String s, char c)`
`static java.awt.Frame` | `getRealFrameParent(java.awt.Component c)` get the Frame that surrounds a component.
`static java.lang.Class<?>` | `loadClass(java.lang.String name)`
`static void` | `log(java.lang.String s)`
`static void` | `setFrameParentTitle(java.awt.Container c, java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUFFER_SIZE

    public static int BUFFER_SIZE

Constructor Detail

### Utils

    public Utils()

Method Detail

### log

    public static void log(java.lang.String s)

### debug

    public static void debug(java.lang.Object s)

### debug

    public static void debug(java.lang.Object o,
                             java.lang.Object s)

### getExtension

    public static java.lang.String getExtension(java.io.File f)

### getRealFrameParent

    public static java.awt.Frame getRealFrameParent(java.awt.Component c)

  get the Frame that surrounds a component. May be used for buildings dialogs Ol: JF import

### getFrameParent

    public static java.awt.Container getFrameParent(java.awt.Container _c)

### setFrameParentTitle

    public static void setFrameParentTitle(java.awt.Container c,
                                           java.lang.String s)

### getLastPortion

    public static java.lang.String getLastPortion(java.lang.String s,
                                                  char c)

### getFileNameWithoutExtensionFromPath

    public static java.lang.String getFileNameWithoutExtensionFromPath(java.lang.String s)

### getFileNameFromPath

    public static java.lang.String getFileNameFromPath(java.lang.String s)

### loadClass

    public static java.lang.Class<?> loadClass(java.lang.String name)
                                        throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### copyToWriter

    public static void copyToWriter(java.io.Reader from,
                                    java.io.Writer to)
                             throws java.lang.Exception

  Copies a reader to a writer. The reader will be closed when this method returns.

  Parameters:
    `from` - Reader to read from
    `to` - Writer to write to
  Throws:
    `java.lang.Exception` - most likely an IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.